ATA_STD_PRERESET(9)

NAME
ata_std_prereset - prepare for reset

SYNOPSIS

int ata_std_prereset(struct ata_link * link, unsigned long deadline);

ARGUMENTS

link
    ATA link to be reset

deadline
    deadline jiffies for the operation

DESCRIPTION

link is about to be reset. Initialize it. Failure from prereset makes libata abort whole reset sequence and give up that port, so prereset should be best-effort. It does its best to prepare for reset sequence but if things go wrong, it should just whine, not fail.

LOCKING

Kernel thread context (may sleep)

RETURNS

0 on success, -errno otherwise.

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT